set -o errexit

PYTHON="$(pwd)/testenv/bin/python3"

echo "removing existing packages (if present)"
$PYTHON -m pip uninstall coolpkg-bar || true
$PYTHON -m pip uninstall coolpkg-foo || true

echo '--------------------------------------------------------'
echo "run test_imports.py with projects directly on PYTHONPATH"
echo "if this fails, something else is broken"
export PYTHONPATH="$(pwd)/shady-folder:$(pwd)/project-foo/src:$(pwd)/project-bar/src"
echo "PYTHONPATH=$PYTHONPATH"
$PYTHON test_imports.py
unset PYTHONPATH
echo '--------------------------------------------------------'

echo "creating sdist tarballs for foo and bar"
cd project-foo
$PYTHON setup.py sdist

cd ../project-bar
$PYTHON setup.py sdist

echo "installing foo and bar"
cd ..
$PYTHON -m pip install coolpkg-foo --find-links project-foo/dist/ --no-index
$PYTHON -m pip install coolpkg-bar --find-links project-bar/dist/ --no-index


echo "-----------------------------------------------"
echo "adding shady-folder with coolpkg.baz to PYTHONPATH"
export PYTHONPATH="$(pwd)/shady-folder"

echo "running test_imports.py with installed packages"
$PYTHON test_imports.py
echo "------------------ SUCCESS --------------------"

